Subject: [draft-freed-sieve-in-xml-02] Emphasis Whitespace Preservation

From: Robert Burrell Donkin <[email-masked]>
Date: Fri, 30 Jan 2009 17:27:44 +0000

Issue
-----
Implicit whitespace preservation.

Original
--------
In "4. XML Representation of Sieve"

  String, number, and tag arguments are represented as str, num, and
  tag elements respectively.  The actual string, number, or tag
  identifier appears as text inside the element.  None of these
  elements have any defined attributes.  Several examples of arguments
  have already appeared in the preceding control, action and test
  examples.

Proposal
--------
  String, number, and tag arguments are represented as str, num, and
  tag elements respectively.  The actual string, number, or tag
  identifier appears as text inside the element.  None of these
  elements have any defined attributes.  Several examples of arguments
  have already appeared in the preceding control, action and test
  examples. Any whitespace in the str body content MUST be preserved
  by the processor.

Rationale
---------
This isn't a major issue but based on experience with HTML, developers
too often assume that whitespace should be trimmed. It is therefore
worthwhile emphasizing explicitly that whitespace is expected to be
preserved.

---

From: Aaron Stone <[email-masked]>
Date: Fri, 30 Jan 2009 10:42:23 -0800

> worthwhile emphasizing explicitly that whitespace is expected to be

+1, whitespace should be preserved for string arguments.

Also, the RFC Editor will want to add Oxford commas and quotes around
"str", "num", and "tag" for clarity :-)

Aaron

---

From: Ned Freed <[email-masked]>
Date: Fri, 30 Jan 2009 10:41:01 -0800 (PST)

> worthwhile emphasizing explicitly that whitespace is expected to be

Yeah, it sort of falls out of the whole empty whitespace text node thing and
how whitespace is dealt with in stylesheets. In any case, I agree with you that
emphasizing this is a good idea and will add the suggested requirement to
the specification.

				Ned

---

From: Ned Freed <[email-masked]>
Date: Fri, 30 Jan 2009 10:53:09 -0800 (PST)

> "str", "num", and "tag" for clarity :-)

Yes, I'm well aware of the RFC Editor's fondness for Oxford commas, so I try to
include them when I'm writing specifications even though I generally don't use
them in other contexts. If you spot any place I've left out one of these commas
let me know and I'll insert it. (Minimizing the number of changes the RFC
Editor does makes the AUTH48 process go smoother.)

As for Oxford quotes, I'm not entirely clear on the convention the RFC Editor
prefers, so I looked at a few published RFCs. It seems the general idea is to
quote it the first time it appears (but not counting an appearance in a section
title) but not subsequently. I'll try and follow that practice in the next
revision.

				Ned

---

From: Arnt Gulbrandsen <[email-masked]>
Date: Fri, 30 Jan 2009 20:18:40 +0100

Ned Freed writes:
> In any case, I agree with you that emphasizing this is a good idea and 
> will add the suggested requirement to the specification.

An example using vacation mighth also help, perhaps vacation :text since 
trimming whitespace often $#@$#@$! breaks that.

Arnt